# Visualization
TKV3d
SelectMgr

# SelectMgr_AndFilter Class Reference

A framework to define a selection filter for two or
more types of entity.
.

`#include <SelectMgr_AndFilter.hxx>`

Inheritance diagram for SelectMgr_AndFilter:

[legend]

## Public Member Functions

Standard_EXPORT | SelectMgr_AndFilter ()
| Constructs an empty selection filter object for two or more types of entity. .
Standard_EXPORT Standard_Boolean | IsOk (const Handle(SelectMgr_EntityOwner)&anobj) const

Indicates that the selected Interactive Object
passes the filter. The owner, anObj, can be either
direct or user. A direct owner is the corresponding
construction element, whereas a user is the
compound shape of which the entity forms a part.
When an object is detected by the mouse - in AIS,
this is done through a context selector - its owner
is passed to the filter as an argument.
If the object returns Standard_True, it is kept; if
not, it is rejected.
If you are creating a filter class inheriting this
framework, and the daughter class is to be used in
an AIS local context, you will need to implement the
virtual function ActsOn.
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT SelectMgr_AndFilter::SelectMgr_AndFilter | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const SelectMgr_AndFilter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_CompositionFilter.

Standard_EXPORT Standard_Boolean SelectMgr_AndFilter::IsOk | ( | const Handle(SelectMgr_EntityOwner)& | anobj | ) | const`[virtual]`

| Implements SelectMgr_Filter.

The documentation for this class was generated from the following file:

- SelectMgr_AndFilter.hxx